module MachineDataViewFilter
  extend ActiveSupport::Concern

  def view_before_set_targets(model, params, join_model_for_time=nil)
    model_states = model
    Array(params[:filtered]).each do |filter|
      if filter[:id] == "period"
        start_date = Time.now - ({day: 1, week: 7, month: 30}[filter[:value].to_sym].days)
        if join_model_for_time
          model_states = model_states.where("#{join_model_for_time}.time > ?", start_date)
        else
          model_states = model_states.where(time: start_date..)
        end
      end
    end
    model_states
  end

  def view_before_filter(filter)
    if filter["id"] == "period" || filter["id"] == "sn"
      nil
    else
      filter
    end
  end
end
