class EerYieldsController < ApplicationController
  def create
    params = model_params
    start_date = params[:start_date]
    end_date = params[:end_date]
    Machine.where(id: params[:machine_ids]).each do |machine|
      if end_date
        yields_to_overwrite = machine.eer_yields.where('date >= ? AND date <= ?', start_date, end_date)
        yields_to_overwrite.destroy_all if yields_to_overwrite.count > 0
        add_multiple_yields(machine, params[:value], start_date, end_date)
      else
        yield_to_update = machine.eer_yields.where(date: start_date).first
        if yield_to_update
          yield_to_update.update(value: params[:value])
        else
          machine.eer_yields.create(value: params[:value], date: params[:start_date])
        end
      end
    end
    render status: :ok, json: {}
  end

  def yield_exists
    params = model_params
    start_date = params[:start_date]
    end_date = params[:end_date] ? params[:end_date] : start_date
    resp = EerYield.where('date >= ? AND date <= ?', start_date, end_date).where(machine_id: params[:machine_ids]).count > 0
    render status: :ok, json: { yield_exists: resp}
  end

  private

  def add_multiple_yields(machine, value, start_date, end_date)
    date_range = (Date.parse(start_date)..Date.parse(end_date)).to_a
    yields_to_insert = date_range.map {|date| {value: value, date: date}}
    machine.eer_yields.create(yields_to_insert)
  end

  def model_params
    params.fetch(:yield).permit(:value, :start_date, :end_date, :machine_ids => [])
  end
end
