class MachineDataPushTargetsController < ApplicationController
  def self.set_target_before
    super + [:add_machines]
  end

  model_data_store(MachineDataPushTarget)

  def add_machines
    machines = Machine.where(id: add_machines_params[:machine_ids])
    if @model.machines << machines
      render json: @model
    else
      render json: @model.errors, status: :unprocessable_entity
    end
  end

  private

  def add_machines_params
    params.require(:machine_data_push_target).permit(:machine_ids => [])
  end

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:machine_data_push_target).permit(:name,
                                                     :base_url,
                                                     :machine_state_path,
                                                     :job_state_path,
                                                     :error_path,
                                                     :event_path,
                                                     :maintenance_path,
                                                     :calibration_path,
                                                     :process_data_path,
                                                     :send_to)
  end
end
