import * as React from "react";
import {observer} from "mobx-react-lite";
import {Grid, makeStyles} from "@material-ui/core";
import Typography from "@material-ui/core/Typography";
import {PaddedPaper} from "@rx-suite/ui";
import {Warning} from "@material-ui/icons";

type WarningBoxProps = {
    text: string;
}

const useStyles = makeStyles((theme) => ({
    iconWrapper: {
        width: '4.75rem',
        margin: '1rem'
    },
    warningIcon: {
        width: '4.75rem',
        height: '4.75rem'
    },
    textWrapper: {
        width: 'initial'
    },
}));

export const WarningBox: React.FunctionComponent<WarningBoxProps> = observer((props) => {
    let {text} = props
    const classes = useStyles();

    return (
        <PaddedPaper>
            <Grid container justify='center'>
                <Grid className={classes.iconWrapper} container item justify='center' alignItems='center'>
                    <Warning className={classes.warningIcon}/>
                </Grid>
                <Grid className={classes.textWrapper} container item alignItems='center'>
                    <Typography variant='h2'>{text}</Typography>
                </Grid>
            </Grid>
        </PaddedPaper>
    )
});