// Convenience handler to get the base elements to manage a modal
import React from "react";

export const useModalHandler = (): [boolean, ModalHandler, ModalHandler] => {
    const [open, setOpen] = React.useState(false);
    const handleClose: ModalHandler = React.useCallback(() => {
        setOpen(false)
    }, []);
    const handleOpen: ModalHandler = React.useCallback(() => {
        setOpen(true)
    }, []);
    return [open, handleClose, handleOpen];
}

type ModalHandler = () => void;