import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {BlockStore} from "../../stores/BlockStore";
import {BlockForm} from "./BlockForm";

export const BlocksBreadModel = () => {
    const columns = [
        makeColumn('dmc', t`DMC`, "string"),
        makeColumn('usage_count', t`Usage Count`, "string"),
        makeColumn('cycles_until_wash', t`Cycles Until Wash`, "string"),
        makeColumn('cycles_until_discard', t`Cycles Until Discard`, "string"),
        makeColumn('job_number', t`Last Used by Job`, "string")
    ];

    return (
        <BreadModel store={BlockStore} Form={BlockForm} columns={columns}/>
    );
};