import * as React from 'react';
import {HintButton, PaddedPaper} from "@rx-suite/ui";
import {t, Trans} from "@lingui/macro";
import {TabsContainer} from "../../components/generic/TabsContainer";
import {Grid, Typography} from "@material-ui/core";
import {MachineGroupColorTab} from "../../components/colors/machine_groups/MachineGroupColorTab";
import {StatusColorTab} from "../../components/colors/machine_states/StatusColorTab";

export const ColorForm:React.FunctionComponent = () => {
  return(
   <PaddedPaper>
       <Grid container alignItems={"center"}>
           <Typography variant={"caption"}><Trans>Where are these colors applied?</Trans></Typography>
           <HintButton title={t`Color Settings`} text={t`These colors will be applied everywhere throughout the application, including dashboards and reports.`}/>
       </Grid>
       <TabsContainer
           variant="scrollable"
           scrollButtons="auto"
           tabs={[
               {
                   label: t`Machine States`,
                   component: <StatusColorTab />,
                   defaultTab: true
               },
               {
                   label: t`Machine Groups`,
                   component: <MachineGroupColorTab />,
                   defaultTab: true
               }
           ]}
       />
   </PaddedPaper>
  )
}
