import * as React from 'react';
import {observer} from "mobx-react-lite";
import {FormProps, ModelForm, ModelInput, ModelSelect} from "@rx-suite/ui";
import {t} from '@lingui/macro';

export const AbortFilterForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    const readOnly = model.name === "Other Error"

    return (
        <ModelForm model={model} suppressImportExport suppressMakeCopy suppressWrapper>
            <ModelInput name={'name'} disabled={readOnly} />
            <ModelInput name={'regex'} disabled={readOnly}/>
            <ModelInput name={'replace_name'} disabled={readOnly}/>
            <ModelInput name={'group_code'} disabled={readOnly} />
        </ModelForm>
    )
})