import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";

@model({
  eager: true,
  transportLayer: "/api/machine_groups",
  permissionTarget: 'MachineGroup',
  routingInfo: {
    create: "/settings/machine_groups/create",
    update: "/settings/machine_groups/:id/edit",
    read: "/settings/machine_groups/:id"
  }
})
export class MachineGroupModel extends Model {
  @attribute({ label: t`Name`})
  name: string = "";

  @attribute({ label: t`Color`})
  color: string | null = null;

  @attribute({ label: t`Machines`, autoForm: false })
  machine_ids = []

  constructor() {
    super();
    super.setup();
  }
}

export const MachineGroupStore = MachineGroupModel.store as DataStore<MachineGroupModel>;
