import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"
@model({
    transportLayer: "/api/shifts",
    routingInfo: {
    }
})
export class ShiftModel extends Model {
    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute({
        label: t`Name`,
        validation: yup.string()
    })
    name: string = '';

    constructor() {
        super();
        super.setup();
    }
}

export const ShiftStore = ShiftModel.store as DataStore<ShiftModel>;
