class AddBatch < ApplicationJob
  queue_as :batching

  def perform(workstation_id, batch_data)
    batch_id = Batch.save_batch(batch_data)
    send_response_to_rx_batching(workstation_id, {success: true, batch_id: batch_id})
  rescue => err
    send_response_to_rx_batching(workstation_id, {success: false, error: err})
  end

  def send_response_to_rx_batching(workstation_id, data)
    attempts = 1
    max_attempts = 5;
    begin
      RxModule::Communicator.call_module_method_as_module("rx_batching", "/api/batch_workstations/#{workstation_id}/batch_save_response", :post, data)
    rescue => err
      attempts += 1
      Rails::logger.error "Failed to notify batching of save, attempt #{attempts}/#{attempts} err: #{err}"
      retry if attempts < max_attempts
    end
  end
end
