class AddBoxCoaterBatchFromJobStateJob < ApplicationJob
  queue_as :eer

  def perform(job_state)
    existing_batch = BoxCoaterBatch.find_existing_batch(job_state.batch_id, job_state.machine, job_state.time)

    if existing_batch.nil?
      # Create a new batch, but don't broadcast it as it's not yet attached to an event
      BoxCoaterBatch.create(machine: job_state.machine, time: job_state.time, batch_id: job_state.batch_id)
    else
      # Only update the batch id if it's not already set
      return unless existing_batch.batch_id.nil?

      existing_batch.assign_attributes({batch_id: job_state.batch_id})

      if existing_batch.save
        existing_batch.box_coater_event.broadcast unless existing_batch.box_coater_event.nil?
      end
    end
  end
end
