class ProcessArchiveUpdatesJob < ApplicationJob
  def perform_now
    to_delete = []
    ArchiveTask.updates.find_each do |task|
      attributes = task.target_attributes
      id = attributes.delete "id"
      ActiveRecord::Base.connected_to(shard: :archive, role: :writing) do
        task.target_class.find_by(id: id)&.update_columns(attributes)
      end
      to_delete << task.id
    rescue ActiveRecord::RecordNotUnique => e
      Rails.logger.error e
      to_delete << task.id
    rescue ActiveRecord::UnknownAttributeError => e
      Rails.logger.error e
      to_delete << task.id
    rescue ActiveRecord::StatementInvalid => e
      Rails.logger.error e
      to_delete << task.id
    rescue => e
      Rails.logger.error e
    end

    to_delete.in_groups_of(1000) do |ids|
      ArchiveTask.where(id: ids).delete_all
    end
  end
end