module FindHelpers
  module OrderFinders
    class << self
      include NormalizeJobNumber

      def find_active_by_number(order_number)
        Order.active.where(job_number: order_number).order("expiry_date DESC").first
      end

      def find_active_or_create_by_number(order_number)
        order = find_active_by_number(order_number)
        if order.nil?
          order = Order.create(job_number: order_number)
        end
        order
      end
    end
  end
end
