# -*- SkipSchemaAnnotations

module AbortFilterMachineTypes
  module ArtBlocker
    extend ActiveSupport::Concern

    # Art Blocker A
    class_methods do
      def abort_filters_data
        [
          {name: 'No Data from Host', regexps: 'no data from host', behaviour: 'replace', replace_name: 'No Data from Host', group_code: 'host_err_1'},
          {name: 'Wrong Job Number', regexps: 'job number wrong', behaviour: 'replace', replace_name: 'Wrong job number', group_code: 'host_err_2'},
          {name: 'Timeout Data Set', regexps: 'timeout data set', behaviour: 'replace', replace_name: 'Host: Timeout data set', group_code: 'host_err_3'},
          {name: 'Data missing', regexps: 'data missing for', behaviour: 'replace', replace_name: 'Data Missing', group_code: 'host_err_4'},
          {name: 'Timeout ACK', regexps: 'timeout ack', behaviour: 'replace', replace_name: 'Host: Timeout ACK', group_code: 'host_err_5'},
          {name: 'VM_GLAS_NOT_RECOGNIZE', regexps: 'VM_GLAS_NOT_RECOGNIZE', behaviour: 'replace', replace_name: 'VM_GLAS_NOT_RECOGNIZE', group_code: 'img_err_1'},
          {name: 'VM_X_PLACE_TOO_BIG', regexps: 'VM_X_PLACE_TOO_BIG', behaviour: 'replace', replace_name: 'VM_X_PLACE_TOO_BIG', group_code: 'img_err_2'},
          {name: 'VM_X_Y_ERROR', regexps: 'VM_X_Y_ERROR', behaviour: 'replace', replace_name: 'VM_X_Y_ERROR', group_code: 'img_err_3'},
          {name: 'VM_SEGMENT_TOO_SMALL', regexps: 'VM_SEGMENT_TOO_SMALL', behaviour: 'replace', replace_name: 'VM_SEGMENT_TOO_SMALL', group_code: 'img_err_4'},
          {name: 'VM_Y_PLACE_TOO_BIG', regexps: 'VM_Y_PLACE_TOO_BIG', behaviour: 'replace', replace_name: 'VM_Y_PLACE_TOO_BIG', group_code: 'img_err_5'},
          {name: 'VM_SV_ATT_FP_NOT_FOUND', regexps: 'VM_SV_ATT_FP_NOT_FOUND', behaviour: 'replace', replace_name: 'VM_SV_ATT_FP_NOT_FOUND', group_code: 'img_err_6'},
          {name: 'VM_180_DEGREE_NOT_RECOGNIZE', regexps: 'VM_180_DEGREE_NOT_RECOGNIZE', behaviour: 'replace', replace_name: 'VM_180_DEGREE_NOT_RECOGNIZE', group_code: 'img_err_7'},
          {name: 'VM_LINES_TO_NEAR', regexps: 'VM_LINES_TO_NEAR', behaviour: 'replace', replace_name: 'VM_LINES_TO_NEAR', group_code: 'img_err_8'},
          {name: 'Standard Deviation Error', regexps: 'standard deviation error', behaviour: 'replace', replace_name: 'Int. soft. error: standard dev.', group_code: 'soft_err_1'},
          {name: 'Matrix Code not Readable', regexps: 'matrix code not readable', behaviour: 'replace', replace_name: 'Matrix code not readable', group_code: 'soft_err_2'},
          {name: 'No Lens Found', regexps: 'no lens found', behaviour: 'replace', replace_name: 'No lens found', group_code: 'mat_err_1'},
          {name: 'Block Piece Mismatch', regexps: 'not match with block piece data', behaviour: 'replace', replace_name: 'Incorrect blockpiece', group_code: 'mat_err_2'},
          {name: 'Block height out of limits', regexps: 'blockheight is out of limits', behaviour: 'replace', replace_name: 'Block height out of limits', group_code: 'mat_err_3'},
          {name: 'No blockpiece found', regexps: 'no blockpiece found', behaviour: 'replace', replace_name: 'No blockpiece found', group_code: 'mat_err_4'},
          {name: 'Diff. measured front curve', regexps: 'difference between measured front curve', behaviour: 'replace', replace_name: 'Meas. vs theor. front curve diff', group_code: 'mat_err_5'},
          {name: 'Invalid data matrix code length', regexps: 'Invalid data matrix code length', behaviour: 'replace', replace_name: 'Invalid data matrix code length', group_code: 'mat_err_6'},
          {name: 'Prism angle too large', regexps: 'prism angle too large', behaviour: 'replace', replace_name: 'Prism angle too large', group_code: 'mat_err_7'},
          {name: 'The process was aborted', regexps: 'the process was aborted', behaviour: 'replace', replace_name: 'Process Aborted', group_code: 'gen_err_1'},
          {name: 'Too much adhesive dosed', regexps: 'too much adhesive dosed', behaviour: 'replace', replace_name: 'Too much adhesive dosed', group_code: 'mat_err_8'},
        ]
      end
    end
  end
end

