# == Schema Information
#
# Table name: data_archive_settings
#
#  id                         :bigint           not null, primary key
#  cycle_interval             :integer          default(10)
#  delete_count_calibration   :integer          default(2)
#  delete_count_error         :integer          default(3)
#  delete_count_event         :integer          default(2)
#  delete_count_job           :integer          default(5)
#  delete_count_kpi_cache     :integer          default(4)
#  delete_count_machine_state :integer          default(4)
#  delete_count_maintenance   :integer          default(2)
#  delete_count_order         :integer          default(3)
#  job_max_age                :integer          default(336)
#  created_at                 :datetime         not null
#  updated_at                 :datetime         not null
#
class DataArchiveSetting < ApplicationRecord
  def should_archive?
    false
  end

  def self.instance
    first_or_create do |model|
      model.job_max_age = 336
    end
  end
end
