# -*- SkipSchemaAnnotations

module ErrorFilterMachineTypes
  module MultiFlex
    extend ActiveSupport::Concern

    class_methods do
      def error_filters_data
        [
          {name: 'EMERGENCY STOP PRESSED', error_codes: '1', behaviour: 'replace', replace_name: 'EMERGENCY STOP PRESSED', group_code: '1'},
          {name: 'SAFETYDOOR OPEN', error_codes: '2', behaviour: 'replace', replace_name: 'SAFETYDOOR OPEN', group_code: '2'},
          {name: 'Invalid cylinder curve', error_codes: '4', behaviour: 'replace', replace_name: 'Invalid cylinder curve', group_code: '4'},
          {name: 'Lens cannot processed with configurated tools: (Base/Cylinder) outside of range', error_codes: '5', behaviour: 'replace', replace_name: 'Lens cannot processed with configurated tools: (Base/Cylinder) outside of range', group_code: '5'},
          # {name: 'Invalid setting value', error_codes: '6', behaviour: 'replace', replace_name: 'Invalid setting value', group_code: '6'},
          # {name: 'LAST SHUTDOWN incorrect', error_codes: '6', behaviour: 'replace', replace_name: 'LAST SHUTDOWN incorrect', group_code: '6'},
          {name: 'DRIVES TURNED OFF per hand', error_codes: '7', behaviour: 'replace', replace_name: 'DRIVES TURNED OFF per hand', group_code: '7'},
          # {name: 'LOADER MODE: switch on not possible, drainage not within positin', error_codes: '8', behaviour: 'replace', replace_name: 'LOADER MODE: switch on not possible, drainage not within positin', group_code: '8'},
          # {name: 'Job data Calc Err: Job: Unknown/Mix tool error', error_codes: '8', behaviour: 'replace', replace_name: 'Job data Calc Err: Job: Unknown/Mix tool error', group_code: '8'},
          {name: 'Traffic jam on conveyor', error_codes: '9', behaviour: 'replace', replace_name: 'Traffic jam on conveyor', group_code: '9'},
          # {name: 'Barcode not identified', error_codes: '10', behaviour: 'replace', replace_name: 'Barcode not identified', group_code: '10'},
          #
          # {name: 'MAIN AIR TOO LOW: switch on drives not possible', error_codes: '10, 12', behaviour: 'replace', replace_name: 'MAIN AIR TOO LOW: switch on drives not possible', group_code: '10'},

          {name: 'Tool reception or tools in one Cell consumed', error_codes: '11', behaviour: 'replace', replace_name: 'Tool reception or tools in one Cell consumed', group_code: '11'},
          {name: 'DRAINAGE DEVICE: Turn to position <Water>, not reached', error_codes: '13', behaviour: 'replace', replace_name: 'DRAINAGE DEVICE: turn to position <Water>, position not reached', group_code: '13'},
          # {name: 'DRAINAGE DEVICE: Turn to position <Polish>, not reached', error_codes: '15', behaviour: 'replace', replace_name: 'DRAINAGE DEVICE: turn to position <Polish>, position not reached', group_code: '15'},
          # {name: "All Cells don't have valid tools", error_codes: '15', behaviour: 'replace', replace_name: "All Cells don't have valid tools", group_code: '15'},
          {name: 'Timeout-->Handling standstill', error_codes: '16', behaviour: 'replace', replace_name: 'Timeout-->Handling standstill', group_code: '16'},
          {name: 'SIDECONTROL AIR VALVE: no air pressure, check main air supply', error_codes: '18', behaviour: 'replace', replace_name: 'SIDECONTROL AIR VALVE: no air pressure, check main air supply', group_code: '18'},
          {name: 'SEALING AIR: no air pressure, check sealing air supply', error_codes: '19', behaviour: 'replace', replace_name: 'SEALING AIR: no air pressure, check sealing air supply', group_code: '19'},
          # {name: 'Tool consumed cell 1 position front', error_codes: '21', behaviour: 'replace', replace_name: 'Tool consumed cell 1 position front', group_code: '21'},
          # {name: 'POLISH MAIN VALVE: drainage device not in position', error_codes: '21', behaviour: 'replace', replace_name: 'POLISH MAIN VALVE: switch on not possible, drainage device not in position', group_code: '21'},
          {name: 'POLISH MAIN VALVE: at least one inflow valve of a cells opened', error_codes: '22', behaviour: 'replace', replace_name: 'POLISH MAIN VALVE: switch on not possible, at least one inflow valve of a cells opened', group_code: '22'},
          {name: 'Tray cannot be empty', error_codes: '25', behaviour: 'replace', replace_name: 'Tray cannot be empty', group_code: '25'},
          {name: 'WATER MAIN VALVE: polish main valve OR main air valve opened', error_codes: '26', behaviour: 'replace', replace_name: 'WATER MAIN VALVE: switch on not possible, polish main valve OR main air valve opened', group_code: '26'},
          {name: 'WATER MAIN VALVE: at least one inflow valve of a cells opened', error_codes: '28', behaviour: 'replace', replace_name: 'WATER MAIN VALVE: switch on not possible, at least one inflow valve of a cells opened', group_code: '28'},

          {name: 'WASH STATION 1: Failure', error_codes: '41-45', behaviour: 'replace', replace_name: 'WASH STATION 1: Failure', group_code: '41'},
          {name: 'WASH STATION 2: Failure', error_codes: '51-55', behaviour: 'replace', replace_name: 'WASH STATION 2: Failure', group_code: '51'},
          {name: 'POLISH UNIT: Failure', error_codes: '60-62', behaviour: 'replace', replace_name: 'POLISH UNIT: Failure', group_code: '60'},

          {name: 'RESET: state AutomationReady not reached, axis X or Y not in parking position', error_codes: '65', behaviour: 'replace', replace_name: 'RESET: state AutomationReady not reached, axis X or Y not in parking position', group_code: '65'},

          {name: 'INTERNAL STEP ERROR: Failure', error_codes: '80,81,84', behaviour: 'replace', replace_name: 'INTERNAL STEP ERROR: Failure', group_code: '80'},

          {name: 'CLOSING TOP DOOR: not closed within maximum time', error_codes: '101', behaviour: 'replace', replace_name: 'CLOSING TOP DOOR: not closed within maximum time - internal step error', group_code: '101'},
          {name: 'OPENING TOP DOOR: not opened within maximum time', error_codes: '102', behaviour: 'replace', replace_name: 'OPENING TOP DOOR: not opened within maximum time - internal step error', group_code: '102'},
          {name: 'CLOSING FRONT DOOR: not possible, top door is closed', error_codes: '103', behaviour: 'replace', replace_name: 'CLOSING FRONT DOOR: not possible, top door is closed - internal step error', group_code: '103'},
          {name: 'TOP DOOR: position open/closed not detected, check sensor', error_codes: '104', behaviour: 'replace', replace_name: 'TOP DOOR: position open/closed not detected, check sensor - internal step error', group_code: '104'},
          {name: 'CLOSING FRONT DOOR: not closed within maximum time', error_codes: '105', behaviour: 'replace', replace_name: 'CLOSING FRONT DOOR: not closed within maximum time - internal step error', group_code: '105'},
          {name: 'OPENING FRONT DOOR: not opened within maximum time', error_codes: '107', behaviour: 'replace', replace_name: 'OPENING FRONT DOOR: not opened within maximum time - internal step error', group_code: '107'},
          {name: 'FRONT DOOR: position open/closed not detected, check sensor', error_codes: '109', behaviour: 'replace', replace_name: 'FRONT DOOR: position open/closed not detected, check sensor - internal step error', group_code: '109'},
          {name: 'INFLOW VALVE: switch on not possible, close top and front door first', error_codes: '112', behaviour: 'replace', replace_name: 'INFLOW VALVE: switch on not possible, close top and front door first - internal step error', group_code: '112'},

          {name: 'VACUUM CUP SPINDLE: Failure', error_codes: '114-118,120,122,125', behaviour: 'replace', replace_name: 'VACUUM CUP SPINDLE: Failure', group_code: '114'},
          {name: 'PRESSURE CUP SPINDLE: Failure', error_codes: '128-131', behaviour: 'replace', replace_name: 'PRESSURE CUP SPINDLE: Failure', group_code: '128'},

          {name: 'POLISH TEMPERATURE: actual temperature above maximum value > 18Â°C', error_codes: '133', behaviour: 'replace', replace_name: 'POLISH TEMPERATURE: actual temperature above maximum value > 18Â°C', group_code: '133'},
          {name: 'POLISH FLOW: actual flow below minimum value < 9 ltr/min', error_codes: '134', behaviour: 'replace', replace_name: 'POLISH FLOW: actual flow below minimum value < 9 ltr/min', group_code: '134'},
          {name: 'POLISH FLOW: actual flow above maximum value > 15 ltr/min', error_codes: '135', behaviour: 'replace', replace_name: 'POLISH FLOW: actual flow above maximum value > 15 ltr/min', group_code: '135'},
          {name: 'HOMING CELL: axis X has not reached position <LOAD>', error_codes: '141', behaviour: 'replace', replace_name: 'HOMING CELL: axis X has not reached position <LOAD>', group_code: '141'},
          {name: 'HOMING CELL: pintle(s) front or back tool spindle axis not in back position', error_codes: '142', behaviour: 'replace', replace_name: 'HOMING CELL: pintle(s) front or back tool spindle axis not in back position', group_code: '142'},

          {name: 'INFLOW VALUE: switch on not possible', error_codes: '145,149', behaviour: 'replace', replace_name: 'INFLOW VALUE: switch on not possible', group_code: '145'},
          {name: 'MOVEMENT NOT POSSIBLE: Failure', error_codes: '151,155,157-159', behaviour: 'replace', replace_name: 'MOVEMENT NOT POSSIBLE: Failure', group_code: '151'},

          {name: 'HOMING AXIS Z: middle position not reached', error_codes: '161', behaviour: 'replace', replace_name: 'HOMING AXIS Z: middle position not reached', group_code: '161'},

          {name: 'NC SUB PROGRAM SKIPPED: Cell Failure', error_codes: '170,172-174,177,179-181,183-185', behaviour: 'replace', replace_name: 'NC SUB PROGRAM SKIPPED: Cell Failure', group_code: '170'},
          {name: 'RAW PART SUCTION CUP: lens missing/lost', error_codes: '190-192,196-199', behaviour: 'replace', replace_name: 'RAW PART SUCTION CUP: lens missing/lost', group_code: '190'},
          {name: 'TRAY NOT IN POSITION', error_codes: '203-211', behaviour: 'replace', replace_name: 'TRAY NOT IN POSITION', group_code: '203'},
          {name: 'FINISH PART GRIPPER, lens lost', error_codes: '212-216', behaviour: 'replace', replace_name: 'FINISH PART GRIPPER, lens lost', group_code: '212'},
          {name: 'SWINGING LOADER: Failure', error_codes: '217-219', behaviour: 'replace', replace_name: 'SWINGING LOADER: Failure', group_code: '217'},
          {name: 'NC PROGRAM: Failure', error_codes: '230,232-234,238', behaviour: 'replace', replace_name: 'NC PROGRAM: Failure', group_code: '230'},
          {name: 'AXIS MOVEMENT: Failure', error_codes: '241,243-248', behaviour: 'replace', replace_name: 'AXIS MOVEMENT: Failure', group_code: '241'},
          {name: 'MES communication ERROR', error_codes: '4022', behaviour: 'replace', replace_name: 'MES communication ERROR', group_code: '4022'},
          {name: 'TimeOut', error_codes: '350006,350008', behaviour: 'replace', replace_name: 'TimeOut', group_code: '350006'},
          {name: 'Host Error', error_codes: '350011,350060,404501', behaviour: 'replace', replace_name: 'Host Error', group_code: '350011'},

          {name: 'Scanner Err: Serial interface %s cannot be opened!', error_codes: '404500', behaviour: 'replace', replace_name: 'Scanner Err: Serial interface %s cannot be opened!', group_code: '404500'},
          {name: 'B&R RFID Reader: Could not read Tag', error_codes: '404880', behaviour: 'replace', replace_name: 'B&R RFID Reader: Could not read Tag', group_code: '404880'},

          {name: 'Handling :PLC-Error: PVI', error_codes: '410000,410004', behaviour: 'replace', replace_name: 'Handling :PLC-Error: PVI', group_code: '410000'},

          {name: 'Handling :PLC-Error: connection to control lost', error_codes: '410005', behaviour: 'replace', replace_name: 'Handling :PLC-Error: connection to control lost', group_code: '410005'},
          {name: 'Cell :PLC-Error: watchdog error', error_codes: '410008', behaviour: 'replace', replace_name: 'Cell :PLC-Error: watchdog error', group_code: '410008'},

          {name: 'Handling: PLC: Request timeout/No connection', error_codes: '410011-410012', behaviour: 'replace', replace_name: 'Handling: PLC: Request timeout/No connection', group_code: '410011'},
          {name: 'Cell1 :SYSTEM ERROR', error_codes: '410013,1000000', behaviour: 'replace', replace_name: 'Cell1 :SYSTEM ERROR', group_code: '410013'},
          {name: 'Cell1 :AXIS_A1; AXIS ERROR', error_codes: '1104007,1106021,1109070,1129207,1129209,1129216,1129217,1129238,1141070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_A1; AXIS ERROR', group_code: '1104007'},
          {name: 'Cell1 :AXIS_A2; AXIS ERROR', error_codes: '1204007,1206021,1209070,1229207,1229209,1229216,1229238,1241070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_A2; AXIS ERROR', group_code: '1204007'},
          {name: 'Cell1 :AXIS_B; AXIS ERROR', error_codes: '1304007,1306021,1309070,1329205,1329206,1329207,1329209,1329214,1329229,1329238,1341070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_B; AXIS ERROR', group_code: '1304007'},
          {name: 'Cell1 :AXIS_C; AXIS ERROR', error_codes: '1406021,1409070,1429205,1429206,1429207,1429209,1429214,1429229,1429238,1441070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_C; AXIS ERROR', group_code: '1406021'},
          {name: 'Cell1 :AXIS_X; AXIS ERROR', error_codes: '1604007,1606021,1609070,1629203,1629206,1629207,1629209,1629214,1629216,1629238,1641070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_X; AXIS ERROR', group_code: '1604007'},

          {name: 'Cell2 :SYSTEM ERROR: for details look within protocol list!', error_codes: '2000000', behaviour: 'replace', replace_name: 'Cell2 :SYSTEM ERROR: for details look within protocol list!', group_code: '2000000'},
          {name: 'Cell2 :CNC ERROR: for details look within protocol list!', error_codes: '2100000', behaviour: 'replace', replace_name: 'Cell2 :CNC ERROR: for details look within protocol list!', group_code: '2100000'},

          {name: 'Cell2 :AXIS_A1; AXIS ERROR', error_codes: '2104007,2106021,2109070,2129207,2129209,2129216,2129217,2129238,2141070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_A1; AXIS ERROR', group_code: '2104007'},
          {name: 'Cell2 :AXIS_A2; AXIS ERROR', error_codes: '2204007,2206021,2209070,2229207,2229209,2229216,2229238,2241070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_A2; AXIS ERROR', group_code: '2204007'},
          {name: 'Cell2 :AXIS_B; AXIS ERROR', error_codes: '2304007,2306021,2309070,2329205,2329206,2329207,2329209,2329214,2329229,2329238,2341070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_B; AXIS ERROR', group_code: '2304007'},
          {name: 'Cell2 :AXIS_C; AXIS ERROR', error_codes: '2406021,2409070,2429205,2429206,2429207,2429209,2429214,2429229,2429238,2441070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_C; AXIS ERROR', group_code: '2406021'},
          {name: 'Cell2 :AXIS_X; AXIS ERROR', error_codes: '2604007,2606021,2609070,2629203,2629206,2629207,2629209,2629214,2629216,2629238,2641070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_X; AXIS ERROR', group_code: '2604007'},

          {name: 'Cell3 :SYSTEM ERROR: for details look within protocol list!', error_codes: '3000000', behaviour: 'replace', replace_name: 'Cell3 :SYSTEM ERROR: for details look within protocol list!', group_code: '3000000'},
          {name: 'Cell3 : CNC ERROR: for details look within protocol list!', error_codes: '3100000', behaviour: 'replace', replace_name: 'Cell3 : CNC ERROR: for details look within protocol list!', group_code: '3100000'},

          {name: 'Cell3 :AXIS_A1; AXIS ERROR', error_codes: '3104007,3106021,3109070,3129207,3129209,3129216,3129217,3129238,3141070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_A1; AXIS ERROR', group_code: '3104007'},
          {name: 'Cell3 :AXIS_A2; AXIS ERROR', error_codes: '3204007,3206021,3209070,3229207,3229209,3229216,3229238,3241070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_A2; AXIS ERROR', group_code: '3204007'},
          {name: 'Cell3 :AXIS_B; AXIS ERROR', error_codes: '3304007,3306021,3309070,3329205,3329206,3329207,3329209,3329214,3329229,3329238,3341070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_B; AXIS ERROR', group_code: '3304007'},
          {name: 'Cell3 :AXIS_C; AXIS ERROR', error_codes: '3406021,3409070,3429205,3429206,3429207,3429209,3429214,3429229,3429238,3441070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_C; AXIS ERROR', group_code: '3406021'},
          {name: 'Cell3 :AXIS_X; AXIS ERROR', error_codes: '3604007,3606021,3609070,3629203,3629206,3629207,3629209,3629214,3629215,3629238,3641070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_X; AXIS ERROR', group_code: '3604007'},

          {name: 'Handling :SYSTEM ERROR: for details look within protocol list!', error_codes: '4000000', behaviour: 'replace', replace_name: 'Handling :SYSTEM ERROR: for details look within protocol list!', group_code: '4000000'},
          {name: 'Handling :CNC ERROR: for details look within protocol list!', error_codes: '4100000', behaviour: 'replace', replace_name: 'Handling :CNC ERROR: for details look within protocol list!', group_code: '4100000'},

          {name: 'Handling :AXIS_X; AXIS ERROR', error_codes: '4106021,4129206,4129207,4129209,4129238', behaviour: 'replace', replace_name: 'Handling :AXIS_X; AXIS ERROR', group_code: '4106021'},
          {name: 'Handling :AXIS_Y; AXIS ERROR', error_codes: '4204007,4206021,4229206,4229207,4229209,4229238', behaviour: 'replace', replace_name: 'Handling :AXIS_Y; AXIS ERROR', group_code: '4204007'},
          {name: 'Handling :AXIS_Z; AXIS ERROR', error_codes: '4304007,4306021,4309070,4329206,4329207,4329209,4329215,4329238,4341070', behaviour: 'replace', replace_name: 'Handling :AXIS_Z; AXIS ERROR', group_code: '4304007'},

          {name: 'Cell1 :System Cell1;', error_codes: '10000000,10057001', behaviour: 'replace', replace_name: 'Cell1 :System Cell1;', group_code: '10000000'},
          {name: 'Cell1 :PLC-Error:Cnc; ACP10; Axis Index', error_codes: '11007130,11007742,11007746', behaviour: 'replace', replace_name: 'Cell1 :PLC-Error:Cnc; ACP10; Axis Index', group_code: '11007130'},

          {name: 'Cell1 :AXIS_A1;PLC Error (110XXXXX)', error_codes: '11004005,11004007,11006021,11009070,11029203,11029207,11029209,11029216,11029217,11029238,11041070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_A1;PLC Error (110XXXXX)', group_code: '11004005'},
          {name: 'Cell1 :AXIS_A2;PLC Error (120XXXXX)', error_codes: '12004007,12006021,12009070,12029207,12029209,12029216,12029238,12041070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_A2;PLC Error (120XXXXX)', group_code: '12004007'},
          {name: 'Cell1 :AXIS_B;PLC Error (130XXXXX)', error_codes: '13004005,13004007,13006021,13009070,13029203,13029205,13029206,13029207,13029209,13029214,13029216,13029238,13041070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_B;PLC Error (130XXXXX)', group_code: '13004005'},
          {name: 'Cell1 :AXIS_C;PLC Error (140XXXXX)', error_codes: '14004005,14006021,14009070,14029203,14029206,14029207,14029209,14029214,14029229,14029238,14041070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_C;PLC Error (140XXXXX)', group_code: '14004005'},
          {name: 'Cell1 :AXIS_X;PLC Error (160XXXXX)', error_codes: '16004005,16004007,16006021,16009070,16029203,16029206,16029207,16029209,16029214,16029215,16029216,16029238,16041070', behaviour: 'replace', replace_name: 'Cell1 :AXIS_X;PLC Error (160XXXXX)', group_code: '16004005'},

          {name: 'Cell2 :System Cell2;', error_codes: '20000000,20057001', behaviour: 'replace', replace_name: 'Cell2 :System Cell2;', group_code: '20000000'},
          {name: 'Cell2 :PLC-Error:Cnc; ACP10; Axis Index', error_codes: '21007130,21007742,21007746', behaviour: 'replace', replace_name: 'Cell2 :PLC-Error:Cnc; ACP10; Axis Index', group_code: '21007130'},

          {name: 'Cell2 :AXIS_A1;PLC Error (210XXXXX)', error_codes: '21004005,21004007,21006021,21009070,21029203,21029207,21029209,21029216,21029217,21029238,21041070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_A1;PLC Error (210XXXXX)', group_code: '21004005'},
          {name: 'Cell2 :AXIS_A2;PLC Error (220XXXXX)', error_codes: '22004007,22006021,22009070,22029207,22029209,22029216,22029238,22041070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_A2;PLC Error (220XXXXX)', group_code: '22004007'},
          {name: 'Cell2 :AXIS_B;PLC Error (230XXXXX)', error_codes: '23004005,23004007,23006021,23009070,23029203, 23029205, 23029206,23029207,23029209,23029214,23029216,23029238,23041070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_B;PLC Error (230XXXXX)', group_code: '23004005'},
          {name: 'Cell2 :AXIS_C;PLC Error (240XXXXX)', error_codes: '24004005,24006021,24009070,24029203,24029206,24029207,24029209,24029214,24029229,24029238,24041070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_C;PLC Error (240XXXXX)', group_code: '24004005'},
          {name: 'Cell2 :AXIS_X;PLC Error (260XXXXX)', error_codes: '26004005,26004007,26006021,26009070,26029203,26029206,26029207,26029209,26029214,26029215,26029216,26029238,26041070', behaviour: 'replace', replace_name: 'Cell2 :AXIS_X;PLC Error (260XXXXX)', group_code: '26004005'},

          {name: 'Cell3 :System Cell3;', error_codes: '30000000,30057001', behaviour: 'replace', replace_name: 'Cell3 :System Cell3;', group_code: '30000000'},
          {name: 'Cell3 :PLC-Error:Cnc; ACP10; Axis Index', error_codes: '31007130,31007742,31007746', behaviour: 'replace', replace_name: 'Cell3 :PLC-Error:Cnc; ACP10; Axis Index', group_code: '31007130'},
          {name: 'Cell3 :AXIS_A1;PLC Error (310XXXXX)', error_codes: '31004005,31004007,31006021,31009070,31029203,31029207,31029209,31029216,31029217,31029238,31041070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_A1;PLC Error (310XXXXX)', group_code: '31004005'},
          {name: 'Cell3 :AXIS_A2;PLC Error (320XXXXX)', error_codes: '32004007,32006021,32009070,32029207,32029209,32029216,32029238,32041070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_A2;PLC Error (320XXXXX)', group_code: '32004007'},
          {name: 'Cell3 :AXIS_B;PLC Error (330XXXXX)', error_codes: '33004005,33004007,33006021,33009070,33029203,33029205,33029206,33029207,33029209,33029214,33029216,33029238,33041070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_B;PLC Error (330XXXXX)', group_code: '33004005'},
          {name: 'Cell3 :AXIS_C;PLC Error (340XXXXX)', error_codes: '34004005,34006021,34009070,34029203,34029206,34029207,34029209,34029214,34029229,34029238,34041070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_C;PLC Error (340XXXXX)', group_code: '34004005'},

          {name: 'Cell3 :AXIS_X;PLC Error (360XXXXX)', error_codes: '36004005,36004007,36006021,36009070,36029203,36029206,36029207,36029209,36029214,36029215,36029216,36029238,36041070', behaviour: 'replace', replace_name: 'Cell3 :AXIS_X;PLC Error (360XXXXX)', group_code: '36004005'},
          {name: 'Handling :System_Handling', error_codes: '40000000,40057001', behaviour: 'replace', replace_name: 'Handling :System_Handling', group_code: '40000000'},
          {name: 'Handling :PLC-Error:Cnc; ACP10; Axis Index', error_codes: '41007130,41007742,41007746', behaviour: 'replace', replace_name: 'Handling :PLC-Error:Cnc; ACP10; Axis Index', group_code: '41007130'},
          {name: 'Handling :AXIS_X (410XXXXX)', error_codes: '41006021,41029206,41029207,41029209,41029238', behaviour: 'replace', replace_name: 'Handling :AXIS_X (410XXXXX)', group_code: '41006021'},
          {name: 'Handling :AXIS_Y (420XXXXX)', error_codes: '42004007,42006021,42029206,42029207,42029209,42029216,42029238', behaviour: 'replace', replace_name: 'Handling :AXIS_Y (420XXXXX)', group_code: '42004007'},
          {name: 'Handling :AXIS_Z (430XXXXX)', error_codes: '43004005,43004007,43006021,43009070,43029203,43029206,43029207,43029209,43029215,43029216,43029238,43041070', behaviour: 'replace', replace_name: 'Handling :AXIS_Z (430XXXXX)', group_code: '43004005'}
        ]
      end
    end
  end
end

