# == Schema Information
#
# Table name: machine_types
#
#  id                       :bigint           not null, primary key
#  calibration_data_enabled :boolean          default(FALSE)
#  category                 :string(4000)
#  display_name             :string(4000)
#  error_enabled            :boolean          default(FALSE)
#  event_data_enabled       :boolean          default(FALSE)
#  image_url                :string(4000)
#  job_state_enabled        :boolean          default(FALSE)
#  machine_state_enabled    :boolean          default(FALSE)
#  maintenance_enabled      :boolean          default(FALSE)
#  name                     :string(4000)     not null
#  process_data_enabled     :boolean          default(FALSE)
#  seed_version             :integer          default(0)
#  system_default           :boolean          default(FALSE)
#  created_at               :datetime         not null
#  updated_at               :datetime         not null
#
class MachineType < ApplicationRecord
  has_many :machines
  has_many :error_filters, as: :filter_target
  has_many :abort_filters, as: :filter_target

  def should_broadcast?
    true
  end
end
