class MachineAbortReport < MachineTemplateReport
  include ReportMachines
  include ReportPeriod

  class << self
    def report_type
      "Machine Aborted Jobs Report"
    end
  end

  expose('machine_abort_report', report_type, "Breakdown of why jobs are aborted by a machine.", "MachineAbortReport")

  def components
    [
      {
        component: ReportComponents::MachineJobsProducedOverview,
        args: {aggregate_machines: false, colorize_series: true}
      },
      {
        component: ReportComponents::MachineTopAbortsBar,
        args: {colorize_series: true, as_percent: true, aggregate_machines: false}
      },
      {
        component: ReportComponents::MachineAbortTrendsLine,
        args: {colorize_series: true, as_percent: true}
      }
    ]
  end
end