class MachineErrorReport < MachineTemplateReport
  include ReportComponents

  class << self
    def report_type
      "Machine Error Report"
    end
  end

  expose('machine_error_report', report_type, "Overview of various errors that impact machine production.", "MachineErrorReport")

  def components
    [
      {
        component: ReportComponents::MachineErrorDurationOverview,
        args: {colorize_series: true, as_percent: true, aggregate_machines: false}
      },
      {
        component: ReportComponents::MachineTopErrorsBar,
        args: {colorize_series: true, as_percent: true, aggregate_machines: false}
      },
      {
        component: ReportComponents::MachineErrorTrendsLine,
        args: {colorize_series: true, as_percent: true}
      }
    ]
  end
end