class MachineKickoutsReport < MachineTemplateReport
  include KpiHelpers
  include ReportPeriod

  class << self
    def report_type
      "Routing Kickouts Report"
    end

    def kickout_reporting_target
      group_option = {label: 'Groups', options: []}
      group_option[:options] = MachineGroup.reject_machine_groups.map {|machine_group| { label: target_to_name(machine_group), value: target_to_id(machine_group) }}
      [group_option]
    end
  end

  expose('routing_kickouts_report', report_type, "Overview of kickouts related to specified stations.", "RoutingKickoutsReport")
  parameter(
    :target_ids,
    "Reject Station Group",
    "The reject station group that will be the target of the report",
    :string,
    multiple: false,
    required: true,
    value_list: -> {kickout_reporting_target})

  def components
    [
      {
        component: ReportComponents::RejectStationKickouts,
        args: {}
      },
      {
        component: ReportComponents::TopKickoutReasonsBar,
        args: {}
      },
      {
        component: ReportComponents::TopKickoutTrend,
        args: {}
      }
    ]
  end
end
