module ReportComponents
  class BoxCoaterTimeBreakdownPie < ReportComponent
    include ReportComponentHelpers
    include KpiHelpers

    def component_id
      'box_coater_time_breakdown'
    end

    def component_type
      'pie'
    end

    def generate(args)
      res = MachineKpi.time_in_event_type_breakdown(start_time, end_time, Timeframe::ALL, machine_ids, options: args)[start_time]
      event_types = args[:event_types] ? args[:event_types] : [:engineering_lockout, :door_open, :door_closed]
      labels = ["Production Time"]
      active_time_percentage_minus_events = 100.0
      series = event_types.map do |event_type|
        labels << event_type
        active_time_percentage_minus_events -= res[event_type].to_f.round(2)
        res[event_type].to_f.round(2)
      end

      series = series.unshift(active_time_percentage_minus_events)
      {
        series: series,
        labels: labels,
        colors: args[:colorize_series] ?
          color_for_series(series.size) :
          nil
      }
    end
  end
end

