module ReportComponents
  class MachineErrorDurationOverview < ReportComponent
    include DataHelpers
    include KpiHelpers

    include ReportComponentHelpers

    class InvalidTimeFrame < StandardError; end

    def component_id
      'machine_error_duration_overview'
    end

    def component_type
      'bar'
    end

    def generate(args)
      time_in_error_per_machine = MachineKpi.time_in_error_between(start_time, end_time, timeframe, machine_ids, options: args)

      {
        series: time_in_error_per_machine.map do |machine_id, buckets|
          machine = Machine.find_by_id(machine_id)
          build_series_for_kpi_bucket(machine&.ensured_name || machine_id, buckets, 'bar', :format_kpi_bucket_value)
        end
      }
    end

    def format_kpi_bucket_value(bucket_value)
      bucket_value[:error]
    end
  end
end

