class CreateErrors < ActiveRecord::Migration[6.0]
  def change
    create_table :errors do |t|
      t.integer :piececounter
      t.integer :errno
      t.string :error
      t.integer :errortype
      t.integer :status
      t.belongs_to :job, foreign_key: {on_delete: :cascade}
      t.datetime :time
      t.string :machine_sn
      t.timestamps
    end
    add_foreign_key :errors, :machines, column: "machine_sn", primary_key: "sn", on_delete: :cascade
    add_index :errors, :machine_sn
  end
end
