class FixTimes < ActiveRecord::Migration[6.0]
  def tables
    %w[events machine_states calibrations errors job_processes job_states maintenances]
  end

  def mssql?
    (defined? ActiveRecord::ConnectionAdapters::SQLServerAdapter) && ActiveRecord::Base.connection.instance_of?(ActiveRecord::ConnectionAdapters::SQLServerAdapter)
  end

  def update_times(offset)
    tables.each do |table|
      sql = if mssql?
        <<~SQL
          update #{table} set time = dateadd(SECOND, #{offset}, time)
        SQL
      else
        <<~SQL
          update #{table} set time = time + INTERVAL '#{offset} seconds'
        SQL
      end
      execute sql
    end
  end

  def up
    update_times(-Time.zone.utc_offset)
  end

  def down
    update_times Time.zone.utc_offset
  end
end
