class CreateKpiRoutingKickout < ActiveRecord::Migration[6.1]
  include DataHelpers

  def change
    create_table :kpi_routing_kickouts do |t|
      kickout_reasons = %w[no_valid_path routed_while_waiting_other_process fail_fetch_processes marked_dead no_processes received_invalid_process no_processes_at_non_start
manual_reject process_aborted time_sync_error fetch_job_inf_failed failed_to_synchronize rework_complete other]
      t.datetime :time, null: false
      kickout_reasons.each do |k|
        t.integer (k), :default => 0
      end

      t.belongs_to :machine, foreign_key: {on_delete: :cascade}
      t.index [:time, :machine_id], name: 'kpi_routing_kickout_uniq_time_per_machine', unique: true
      t.timestamps
    end
  end
end
